All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.dataselectors.calculateditems.html
Interface SimpleCalculatedItemSelectorStyleKeysInterface

All Known Implementing Classes:
  SimpleCalculatedItemSelectorPanel

    public interface SimpleCalculatedItemSelectorStyleKeysInterface

This interface defines keys used to retrieve the style classes for the visual components of the SimpleCalculatedItemSelectorPanel from its style map. These keys are the style keys needed to access the StyleInfo classes from the style map.

For More Information:

Note: A snapshot of the AppDev Studio Developers Site is installed on your local Web server when you install AppDev Studio. To access the site from webAF, select Help -> Developer Site .

See Also:
  `SimpleCalculatedItemSelectorPanel`, `CompositeComponentInterface`, `ComplexStyleInterface`, `StyleInfo`

Field Summary
`static java.lang.String` | `SIMPLECALCULATEDITEMSELECTOR_AVAILABLE_LABEL_CLASS` Style Area Key to retrieve style information using the ComponentStyleManager for the available label of the selector
`static java.lang.String` | `SIMPLECALCULATEDITEMSELECTOR_AVAILABLE_LIST_CLASS` Style Area Key to retrieve style information using the ComponentStyleManager for the available list of the selector
`static java.lang.String` | `SIMPLECALCULATEDITEMSELECTOR_CONTAINER_CLASS` Style Area Key to retreive style information using the ComponentStyleManager for the selector container
`static java.lang.String` | `SIMPLECALCULATEDITEMSELECTOR_DESCRIPTION_ENTRY_CLASS` Style Area Key to retrieve style information using the ComponentStyleManager for the description entry of the selector
`static java.lang.String` | `SIMPLECALCULATEDITEMSELECTOR_DESCRIPTION_LABEL_CLASS` Style Area Key to retrieve style information using the ComponentStyleManager for the description label of the selector
`static java.lang.String` | `SIMPLECALCULATEDITEMSELECTOR_FORMAT_ENTRY_COMPONENT_CLASS`
`static java.lang.String` | `SIMPLECALCULATEDITEMSELECTOR_FORMAT_NOTE_COMPONENT_CLASS` Style Area Key to retrieve style information using the ComponentStyleManager for the list component of the list editor
`static java.lang.String` | `SIMPLECALCULATEDITEMSELECTOR_FUNCTION_CHOICE_CLASS` Style Area Key to retrieve style information using the ComponentStyleManager for the function choice box of the selector
`static java.lang.String` | `SIMPLECALCULATEDITEMSELECTOR_FUNCTION_LABEL_CLASS` Style Area Key to retrieve style information using the ComponentStyleManager for the available label of the selector
`static java.lang.String` | `SIMPLECALCULATEDITEMSELECTOR_LIST_EDITOR_COMPONENT_CLASS` Style Area Key to retrieve style information using the ComponentStyleManager for the list component of the list editor
`static java.lang.String` | `SIMPLECALCULATEDITEMSELECTOR_NAME_ENTRY_CLASS` Style Area Key to retrieve style information using the ComponentStyleManager for the name entry of the selector
`static java.lang.String` | `SIMPLECALCULATEDITEMSELECTOR_NAME_LABEL_CLASS` Style Area Key to retrieve style information using the ComponentStyleManager for the name label of the selector
`static java.lang.String` | `SIMPLECALCULATEDITEMSELECTOR_TREE_LABEL_CLASS` Style Area Key to retrieve style information using the ComponentStyleManager for the available label of the selector
`static java.lang.String` | `SIMPLECALCULATEDITEMSELECTOR_TREEVIEW_CLASS` Style Area Key to retrieve style information using the ComponentStyleManager for the function choice box of the selector

Field Detail

### SIMPLECALCULATEDITEMSELECTOR_CONTAINER_CLASS

    static final java.lang.String SIMPLECALCULATEDITEMSELECTOR_CONTAINER_CLASS

  Style Area Key to retreive style information using the ComponentStyleManager for the selector container

  See Also:
    Constant Field Values

### SIMPLECALCULATEDITEMSELECTOR_NAME_LABEL_CLASS

    static final java.lang.String SIMPLECALCULATEDITEMSELECTOR_NAME_LABEL_CLASS

  Style Area Key to retrieve style information using the ComponentStyleManager for the name label of the selector

  See Also:
    Constant Field Values

### SIMPLECALCULATEDITEMSELECTOR_NAME_ENTRY_CLASS

    static final java.lang.String SIMPLECALCULATEDITEMSELECTOR_NAME_ENTRY_CLASS

  Style Area Key to retrieve style information using the ComponentStyleManager for the name entry of the selector

  See Also:
    Constant Field Values

### SIMPLECALCULATEDITEMSELECTOR_DESCRIPTION_LABEL_CLASS

    static final java.lang.String SIMPLECALCULATEDITEMSELECTOR_DESCRIPTION_LABEL_CLASS

  Style Area Key to retrieve style information using the ComponentStyleManager for the description label of the selector

  See Also:
    Constant Field Values

### SIMPLECALCULATEDITEMSELECTOR_DESCRIPTION_ENTRY_CLASS

    static final java.lang.String SIMPLECALCULATEDITEMSELECTOR_DESCRIPTION_ENTRY_CLASS

  Style Area Key to retrieve style information using the ComponentStyleManager for the description entry of the selector

  See Also:
    Constant Field Values

### SIMPLECALCULATEDITEMSELECTOR_AVAILABLE_LABEL_CLASS

    static final java.lang.String SIMPLECALCULATEDITEMSELECTOR_AVAILABLE_LABEL_CLASS

  Style Area Key to retrieve style information using the ComponentStyleManager for the available label of the selector

  See Also:
    Constant Field Values

### SIMPLECALCULATEDITEMSELECTOR_AVAILABLE_LIST_CLASS

    static final java.lang.String SIMPLECALCULATEDITEMSELECTOR_AVAILABLE_LIST_CLASS

  Style Area Key to retrieve style information using the ComponentStyleManager for the available list of the selector

  See Also:
    Constant Field Values

### SIMPLECALCULATEDITEMSELECTOR_FUNCTION_LABEL_CLASS

    static final java.lang.String SIMPLECALCULATEDITEMSELECTOR_FUNCTION_LABEL_CLASS

  Style Area Key to retrieve style information using the ComponentStyleManager for the available label of the selector

  See Also:
    Constant Field Values

### SIMPLECALCULATEDITEMSELECTOR_FUNCTION_CHOICE_CLASS

    static final java.lang.String SIMPLECALCULATEDITEMSELECTOR_FUNCTION_CHOICE_CLASS

  Style Area Key to retrieve style information using the ComponentStyleManager for the function choice box of the selector

  See Also:
    Constant Field Values

### SIMPLECALCULATEDITEMSELECTOR_TREE_LABEL_CLASS

    static final java.lang.String SIMPLECALCULATEDITEMSELECTOR_TREE_LABEL_CLASS

  Style Area Key to retrieve style information using the ComponentStyleManager for the available label of the selector

  See Also:
    Constant Field Values

### SIMPLECALCULATEDITEMSELECTOR_TREEVIEW_CLASS

    static final java.lang.String SIMPLECALCULATEDITEMSELECTOR_TREEVIEW_CLASS

  Style Area Key to retrieve style information using the ComponentStyleManager for the function choice box of the selector

  See Also:
    Constant Field Values

### SIMPLECALCULATEDITEMSELECTOR_LIST_EDITOR_COMPONENT_CLASS

    static final java.lang.String SIMPLECALCULATEDITEMSELECTOR_LIST_EDITOR_COMPONENT_CLASS

  Style Area Key to retrieve style information using the ComponentStyleManager for the list component of the list editor

  See Also:
    Constant Field Values

### SIMPLECALCULATEDITEMSELECTOR_FORMAT_NOTE_COMPONENT_CLASS

    static final java.lang.String SIMPLECALCULATEDITEMSELECTOR_FORMAT_NOTE_COMPONENT_CLASS

  Style Area Key to retrieve style information using the ComponentStyleManager for the list component of the list editor

  See Also:
    Constant Field Values

### SIMPLECALCULATEDITEMSELECTOR_FORMAT_ENTRY_COMPONENT_CLASS

    static final java.lang.String SIMPLECALCULATEDITEMSELECTOR_FORMAT_ENTRY_COMPONENT_CLASS

See Also:
  Constant Field Values

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.